osl::misc::detail::BitCopyTraits< T > Struct Template Reference

use raw memory copy instead of placement new not to test a given pointer is null More...

`#include <construct.h>`

## Static Public Attributes

static const bool | value =boost::is_pod<T>::value

## Detailed Description

template<typename T>
struct osl::misc::detail::BitCopyTraits< T >

use raw memory copy instead of placement new not to test a given pointer is null

Definition at line 27 of file construct.h.

## Member Data Documentation

## value

template<typename T>

const bool osl::misc::detail::BitCopyTraits< T >::value =boost::is_pod<T>::value

static

Definition at line 29 of file construct.h.

Referenced by osl::detail::FixedCapacityVectorPushBack< T >::push_back().

The documentation for this struct was generated from the following file:

- construct.h